Bug 428638 - RFE: provide a way to specify KRB5CCNAME for slurpd + run as non-root
RFE: provide a way to specify KRB5CCNAME for slurpd + run as non-root
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openldap (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Jan Safranek
:
Depends On: 475273
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 04:56 EST by Enrico Scholz
Modified: 2009-09-03 10:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:53:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2008-01-14 04:56:11 EST
Description of problem:

Please start slurpd in a way like

| daemon env -i ${SLURPD_KRB5CCNAME:+KRB5CCNAME=$SLURPD_KRB5CCNAME} ${slurpd}

This allows to configure a custom krb5 ccache for gssapi based replication.

There is no need neither to run it as root; using 'daemon --user ldap ...' will
fix it but can cause regressions (non writable replog file after upgrade).


Version-Release number of selected component (if applicable):

openldap-2.3.27-8
Comment 1 RHEL Product and Program Management 2008-06-09 03:34:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Petr Sklenar 2008-12-08 12:22:05 EST
Hello  Enrico Scholz,
is it possible to to tried this bug with latest RHEL5.3 Beta packages? It would be nice to test it with same environment.
Comment 5 Enrico Scholz 2008-12-08 12:39:18 EST
Where can I find these (binary) packages?
Comment 10 errata-xmlrpc 2009-01-20 15:53:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0090.html

Note You need to log in before you can comment on or make changes to this bug.